- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- CreateEvaluationCaseRequest
Batch creates EvaluationCases.
HTTP request
POST https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/brands/*}/evaluationCases:batchCreate
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource shared by all evaluation cases being created. Format: projects/{project}/locations/{location}/brands/{brand} If this is set, the parent of all of the evaluation cases specified in |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"requests": [
{
object ( |
| Fields | |
|---|---|
requests[] |
Required. The request message specifying the resources to create. A maximum of 1000 evaluation cases can be created in a batch. |
Response body
Response message for MenuService.BatchCreateEvaluationCases.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"evaluationCases": [
{
object ( |
| Fields | |
|---|---|
evaluationCases[] |
EvaluationCases created. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
CreateEvaluationCaseRequest
Request message for MenuService.CreateEvaluationCase.
| JSON representation |
|---|
{
"parent": string,
"evaluationCase": {
object ( |
| Fields | |
|---|---|
parent |
Required. The parent brand, which owns this collection of evaluation cases. Format: projects/{project}/locations/{location}/brands/{brand} |
evaluationCase |
Required. The evaluation case to create. |
evaluationCaseId |
Optional. The ID to use for the evaluation case, which will become the final component of the evaluation case's resource name. This value should only contain lower-case letters, numbers, and hyphen, with the first and last character a letter or a number, and a 63 character maximum. |